<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Thymeleaf Form</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
</head>
<body>
<h1>Login Page</h1>
<form  th:action="@{/doLogin}"  method="post">
    Username: <input type="text" name="username"/></br>
    Password: <input type="password" name="password"/></br>
    <span th:text="'Error ' + ${errorMessage}"></span></br>

    <input type="submit" value="Submit" />
</form>
</body>
</html>